<template>
  <div
    v-if="account"
    ref="content"
    class="savings-account-balance account-card position-relative"
  >
    <vs-button
      circle
      icon
      color="rgb(59,222,200)"
      gradient
      class="visiblity-icon p-0"
      size="mini"
      @click="toggleBalanceAmount()"
    >
      <!-- {{ balanceHidden }} -->
      <Visible v-if="balanceHidden" />
      <InVisible v-else />
    </vs-button>
    <div v-if="!account" class="no-account-placeholder">
      <h5 class="text-white">NO SECOND ACCOUNT</h5>
    </div>
    <div v-if="account">
      <h5 class="m-0 fw-bold">{{ account.AccountType }}</h5>
      <p class="h6 text-muted m-0 mt-1">{{ account.AccountName }}</p>
    </div>
    <div class="d-flex justify-content-between">
      <h2 v-if="!balanceHidden" class="fw-bold">
        {{ account.AccountBalance | formatPrice }}
      </h2>
      <h2 v-else class="fw-bold">*****</h2>
      <div>
        <p class="fw-bold m-0">**** {{ account.AccountNumber | maskNumber }}</p>
        <!-- <img src="@/assets/icons/visa.svg" alt="VISA" /> -->
        {{ account.Status }}
      </div>
    </div>
  </div>
</template>

<script>
import Visible from '@/assets/icons/visible.svg?inline'
import InVisible from '@/assets/icons/invisible.svg?inline'

export default {
  components: { Visible, InVisible },
  data: () => ({
    account: {},
    contentLoading: false,
  }),
  computed: {
    balanceHidden() {
      // console.log(this.$store)
      // console.log(this.$store.state['balance/balanceHidden'])
      return this.$store.getters['balance/isBalanceHidden']
    },
  },
  mounted() {
    this.fetchData()
  },
  methods: {
    async fetchData() {
      const loading = this.$vs.loading({
        scale: 2,
        target: this.$refs.content,
        color: 'primary',
      })
      try {
        this.contentLoading = true
        const { payload } = await this.$axios.$get('/user/second-account')
        loading.close()
        this.account = payload
        this.contentLoading = false
      } catch (error) {
        loading.close()
        this.contentLoading = false
        this.account = false
      }
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.savings-account-balance {
  height: 200px;
  width: 100%;
  background-color: #405558;
  border-radius: 20px;
  color: #fff;
  padding: 16px 20px;
  background-image: url(~@/assets/icons/savings-account-balance.svg);
  background-repeat: no-repeat;
  background-position: right top;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  &::before {
    content: '';
    height: 100%;
    border-radius: 20px;
    top: 0;
    left: 0;
    width: 100%;
    background-image: url(~@/assets/icons/savings-account-balance.svg);
    position: absolute;
    background-repeat: no-repeat;
    background-position: top right;
  }
  .no-account-placeholder {
    height: 100%;
    width: 100%;
  }
}

.visiblity-icon {
  width: 30px;
  height: 30px;
  position: absolute;
  top: 16px;
  right: 15px;
  svg {
    height: 20px;
  }
}
</style>
